# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:backup_interval, :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DOCS
  The backup_interval field of the Oracle VM Backup Management.
  Here is example how to do this:

      ovm_backup_management { ...
        ...
        backup_interval => '1000'
        ...
      }

  DOCS
end
