# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ipaddresses,
            :array_matching => :all,
            :parent => Puppet::Parameter::OvmProperty) do
  desc <<-DOCS
  The ipaddresses field of the ovm_ethernet_port.
  It is array of hash objects which each hash takes the ip address and configType, netmask and ip type.
  Here is example how to do this:

      ovm_ethernet_port { ...
        ...
        ipaddresses => [{'address' => '172.28.128.19', 'configType' => 'STATIC', 'netmask' => '255.255.255.0', 'type' => 'IPV4'}]
        ...
      }

  DOCS
end
