# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:configured_level, :parent => Puppet::Parameter::OvmProperty) do
  desc <<-DOCS
  The configured_level field of the Oracle VM Log Management.
  Here is example how to do this:

      ovm_log_management { ...
        ...
        configured_level => 'INHERITED'
        ...
      }

  DOCS

  newvalues('DEBUG', 'INFORMATIONAL', 'WARNING', 'ERROR', 'FATAL', 'OFF', 'INHERITED')
end
