# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:password) do
  include EasyType
  include EasyType::EncryptedYamlProperty

  desc <<-DOCS
  The password used to connect to the OVM Manager.
  After the setup the password is encrypted and not visible.
  Here is example how to do this:

      ovm_manager {my_ovm_manager:
        ...
        password => 'very_secret',
        ...
      }

  DOCS
end
