# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType

  desc <<-DOCS
  The name of the OVM Server (hostname).

  DOCS

  isnamevar

  to_translate_to_resource do |raw_resource|
    raw_resource['name']
  end

  to_translate_to_resource do |raw_resource|
    manager = raw_resource.fetch('manager')
    pool    = raw_resource.dig('serverPoolId', 'name')
    server  = raw_resource.fetch('name')
    if pool.nil?
      "#{manager}/#{server}"
    else
      "#{manager}/#{pool}/#{server}"
    end
  end
end
