# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:locked, :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::Mungers::Boolean

  desc <<-DOCS
  This parameter allows you manage user_name of the Oracle VM Server Controller.
  Here is an example on how to use this:

      ovm_server_pool { 'default/mypool1':
        ensure          => 'present',
        locked          => true,
      }

  DOCS

  newvalues(true, false)
end
