# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:servers,
            :array_matching => :all,
            :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::ArrayProperty
  include EasyType::Validators::IPFQDN

  desc <<-DOCS
  Specifies the servers that are part of this pool.
  Here is example how to do this:

      ovm_... { ...
        ...
        servers => ['server1.example.com','server2.example.com'],
        ...
      }

  DOCS

  maps_to('serverIds.name')
end
