# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:tags,
            :array_matching => :all,
            :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::ArrayProperty

  desc <<-DOCS
  Specifies the tags enabled for the resource.
  This property can be used for a lot of resources.
  Here is example how to do this:

      ovm_... { ...
        ...
        tags => ['tag-1','tag-2'],
        ...
      }

  DOCS

  maps_to('resourceGroupIds')
end
