# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:admin_hostname, :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::Validators::IPFQDN

  desc <<-DOCS
  The admin_hostname field of the Storage Array.
  Here is example how to do this:

      ovm_storage_array { 'default/array_name':
        ...
        admin_hostname => '...',
        ...
      }

  DOCS
end
