# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/ovm/core'

#
# Type responsible for managing of Oracle VM Storage Element.
#
module Puppet
  Type.newtype(:ovm_storage_element) do
    include Puppet_X::EnterpriseModules::Ovm::Type

    desc <<-DOCS
    This resource allows you manage Oracle VM Oracle Storage Element.
    Here is an example on how to use this:

        ovm_storage_element { 'default/Unmanaged FibreChannel Storage Array':
          ...
          admin_password          => '****************',
          ...
        }

    DOCS

    restfull_type('AssemblyVm')

    ensurable

    parameter :id
    parameter :manager_name
    parameter :name
    parameter :storage_element_name

    property :description
    property :extra_information
    property :shareable

    add_title_attributes(:storage_element_name)
  end
end
