# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:disk_type, :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::Mungers::String

  desc <<-DOCS
  The disk_type field of the ovm_virtual_disk, VIRTUAL_CDROM or VIRTUAL_DISK.
  Here is example how to do this:

      ovm_virtual_disk { ...
        ...
        disk_type => 'VIRTUAL_CDROM'
        ...
      }

  DOCS

  newvalues('VIRTUAL_CDROM', 'VIRTUAL_DISK')
  defaultto 'VIRTUAL_DISK'
end
