# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType

  desc <<-DOCS
  This parameter specify name of the ovm_virtual_disk.

  DOCS

  isnamevar

  to_translate_to_resource do |raw_resource|
    manager    = raw_resource.fetch('manager')
    repository = raw_resource.dig('repositoryId', 'name') || 'none'
    name       = raw_resource.fetch('name')
    "#{manager}/#{repository}/#{name}"
  end
end
