# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:high_availability, :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::Mungers::Boolean

  desc <<-DOCS
  Toggles High Avalablilty of Oracle Virtual Machine.
  Here is example how to do this:

      ovm_vm { 'default/mypool1/ovmserver1.example.com:myvm2':
        ...
        high_availability => 'true',
        ...
      }

  DOCS

  newvalues(true, false)
end
