# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:memory_limit, :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DOCS
  Specifies RAM memory limit of Oracle Virtual Machine.
  Here is example how to do this:

      ovm_vm { 'default/mypool1/ovmserver1.example.com:myvm2':
        ensure       => 'present',
        memory_limit => 1024,
      }

  DOCS
end
