# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:vm_clone_definition, :parent => Puppet::Parameter::OvmProperty) do
  include Puppet_X::EnterpriseModules::Ovm::Data
  include EasyType
  include EasyType::ArrayProperty

  desc <<-DOCS
  The name of the OVM VM (Virtual Machine).

  DOCS

  to_translate_to_resource do |raw_resource|
    raw_resource['vmCloneDefinitionIds']
  end

  maps_to('vmCloneDefinitionIds.name')
end
