# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:vm_domain_type, :parent => Puppet::Parameter::OvmProperty) do
  desc <<-DOCS
  Specifies Oracle Virtual Machine domain type.
  Here is example how to do this:

      ovm_vm { 'default/mypool1/ovmserver1.example.com:myvm2':
        ensure         => 'present',
        vm_domain_type => 'XEN_HVM',
      }

  DOCS

  defaultto('XEN_HVM')
end
