# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:file_system_name, :parent => Puppet::Parameter::OvmProperty) do
  desc <<-DOCS
  The name of the file system.

  DOCS

  def insync?(is_synced)
    return true if super

    fail 'file_system_name is a read-only property. Recreate if you need the repo on an other server.'
  end

  maps_to('fileSystemId.name')
end
